package indoor.java;

import android.os.Bundle;
import android.view.WindowManager;
import org.qtproject.qt5.android.bindings.QtActivity;
import android.widget.Toast;

public class MyActivity extends QtActivity {

    public static MyActivity act;

	// IPIN2016
	private StepLoggerClient stepLogger;


    @Override
    public void onCreate(Bundle savedState) {

        MyActivity.act = this;
        super.onCreate(savedState);

		// prevent power-safe?
		getWindow().addFlags(WindowManager.LayoutParams.FLAG_KEEP_SCREEN_ON);

		// IPIN2016
		stepLogger = new StepLoggerClient(this);

    }

    @Override
    public void onDestroy() {
        super.onDestroy();
        MyActivity.act = null;
    }


}
